{pkgs, ...}: let
  dirs = {
    defaults = ../../defaults;
  };
in {
  wayland.windowManager.sway = {
    enable = pkgs.stdenv.isLinux;
    extraOptions = []; # Extra arguments to pass into sway. If sway goes haywire, we might need something in here
    xwayland = true;
    systemd = true;

    # Install packages that will be installed with sway
    extraPackages = with pkgs; [
      wl-clipboard
      wofi
      mako
      wttrbar
      light
      brightnessctl
      playerctl
      grim
      slurp
      cliphist
    ];

    wrapperFeatures = {
      gtk = true;
    };
  };

  xdg.configFile."sway/config".source = dirs.defaults + /sway/config;

  programs.wofi.enable = pkgs.stdenv.isLinux;
  programs.waybar = {
    enable = pkgs.stdenv.isLinux;
    systemd.enable = true;
  };

  xdg.configFile."waybar/config".source = dirs.defaults + /waybar/config.json;
  xdg.configFile."waybar/style.css".source = dirs.defaults + /waybar/style.css;
}
